Bug 140981 - /selinux is not allowed by the Filesystem Hierarchy Standard
/selinux is not allowed by the Filesystem Hierarchy Standard
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: libselinux (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Daniel Walsh
Mike McLean
http://www.pathname.com/fhs/pub/fhs-2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-27 06:36 EST by taj
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-28 20:21:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description taj 2004-11-27 06:36:02 EST
filesystem-2.3.0-1.x86_64.rpm

http://www.pathname.com/fhs/pub/fhs-2.3.html#THEROOTFILESYSTEM

"Applications must never create or require special files or
subdirectories in the root directory. Other locations in the FHS
hierarchy provide more than enough flexibility for any package."

warning: filesystem-2.3.0-1.x86_64.rpm: V3 DSA signature: NOKEY, key
ID 4f2a6fd2
Name        : filesystem                   Relocations: (not relocatable)
Version     : 2.3.0                             Vendor: Red Hat, Inc.
Release     : 1                             Build Date: Thu 12 Aug
2004 11:02:09 AM MDT
Install Date: (not installed)               Build Host:
thor.perf.redhat.com
Group       : System Environment/Base       Source RPM:
filesystem-2.3.0-1.src.rpm
Size        : 0                                License: Public Domain
Signature   : DSA/SHA1, Wed 20 Oct 2004 10:13:43 AM MDT, Key ID
b44269d04f2a6fd2
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
Summary     : The basic directory layout for a Linux system.
Description :
The filesystem package is one of the basic packages that is installed
on a Red Hat Linux system. Filesystem contains the basic directory
layout for a Linux operating system, including the correct permissions
for the directories.
/bin
/boot
/etc
/home
/initrd
/lib
/media
/mnt
/opt
/proc
/root
/sbin
/selinux <<-------- Not standard
/srv
/sys
/tmp
/usr
/var


I'm sure this bug will be closed but there should be a reason as there
appears to be no discussion about it on the FHS mail-lists.
Comment 1 Bill Nottingham 2004-11-28 15:24:48 EST
Fixing this involves convincing the upstream SELinux maintainers
otherwise.
Comment 2 Colin Walters 2004-11-28 20:21:47 EST
SELinux isn't an "application"; it's part of the OS, and the OS can
create any paths it wants to:

"Distributions should not create new directories in the root hierarchy
without extremely careful consideration of the consequences including
for application portability."

There's no application portability concerns, thus no issue.  

But it would be useful to standardize /selinux in the upstream FHS.

Note You need to log in before you can comment on or make changes to this bug.